#### Calculate beta diversity metrics ####
dm_wunifrac <- UniFrac(PD_INCRM, weighted=TRUE)

#### Are there any varaiables that may be confounders? ####
adonis2(dm_wunifrac ~ levo_equiv_dose, data=DISEASE_RARE_DATA) # Pr(>F) value = 0.075; near-significant
adonis2(dm_wunifrac ~ Constipation_severity_score, data=DISEASE_RARE_DATA) # Pr(>F) value = 0.028 *
adonis2(dm_wunifrac ~ Laxative_use, data=DISEASE_RARE_DATA) # Pr(>F) value = 0.022 *
adonis2(dm_wunifrac ~ Age, data=DISEASE_RARE_DATA) # Pr(>F) value = 0.8
adonis2(dm_wunifrac ~ Age_onset, data=DISEASE_RARE_DATA) # Pr(>F) value = 0.661
adonis2(dm_wunifrac ~ Disease_dur, data=DISEASE_RARE_DATA) # Pr(>F) value = 0.195
adonis2(dm_wunifrac ~ Bristol, data=DISEASE_RARE_DATA) # Pr(>F) value = 0.001 ***
adonis2(dm_wunifrac ~ Age, data=DISEASE_RARE_DATA) # Pr(>F) value = 0.8
adonis2(dm_wunifrac ~ IBS, data=DISEASE_RARE_DATA) # Pr(>F) value = 0.899
adonis2(dm_wunifrac ~ Depressed, data=DISEASE_RARE_DATA) # Pr(>F) value = 0.562
adonis2(dm_wunifrac ~ BDIOver5, data=DISEASE_RARE_DATA) # Pr(>F) value = 0.221
adonis2(dm_wunifrac ~ Sex, data=DISEASE_RARE_DATA) # Pr(>F) value = 0.802

#### Do these confounders effect one another, and by how much if yes? ####
kruskal.test(Bristol ~ Laxative_use, data = DISEASE_RARE_DATA) # p-value = 0.00292 **
kruskal.test(Laxative_use ~ Bristol, data = DISEASE_RARE_DATA) # p-value = 0.0518 . 

kruskal.test(Bristol ~ Constipation_severity_score, data = DISEASE_RARE_DATA) # p-value = 0.0389 *
kruskal.test(Constipation_severity_score ~ Bristol, data = DISEASE_RARE_DATA) # p-value = 0.00128 **

kruskal.test(Constipation_severity_score ~ Laxative_use, data = DISEASE_RARE_DATA) # p-value = 5.214e-07 **
kruskal.test(Laxative_use ~ Constipation_severity_score, data = DISEASE_RARE_DATA) # p-value = 0.00602 **
