#### Recalculating alpha-diversity metrics to ID confounders ####
alphadiv <- estimate_richness(PD_INCRM)
DISEASE_DATA <- data.frame(sample_data(PD_INCRM))
sampdatwdiv <- data.frame(DISEASE_DATA, alphadiv)

lm_Shannon <- lm(Shannon ~ Abdominal_discomfort, data = sampdatwdiv)
summary(lm_Shannon) # 0.295
lm_Shannon <- lm(Shannon ~ IBS, data = sampdatwdiv)
summary(lm_Shannon) # 0.36
lm_Shannon <- lm(Shannon ~ Constipation_RomeIII_status, data = sampdatwdiv)
summary(lm_Shannon) # 0.291
lm_Shannon <- lm(Shannon ~ Constipation_severity_score, data = sampdatwdiv)
summary(lm_Shannon) # 0.448
lm_Shannon <- lm(Shannon ~ Laxative_use, data = sampdatwdiv)
summary(lm_Shannon) # 0.645
lm_Shannon <- lm(Shannon ~ BMI, data = sampdatwdiv)
summary(lm_Shannon) # 0.746
lm_Shannon <- lm(Shannon ~ Age, data = sampdatwdiv)
summary(lm_Shannon) # 0.00428 **
lm_Shannon <- lm(Shannon ~ Age_onset, data = sampdatwdiv)
summary(lm_Shannon) # 0.00303 **
lm_Shannon <- lm(Shannon ~ Disease_dur, data = sampdatwdiv)
summary(lm_Shannon) # 0.527
lm_Shannon <- lm(Shannon ~ BDI_depression_score, data = sampdatwdiv)
summary(lm_Shannon) # 0.836
lm_Shannon <- lm(Shannon ~ Depressed, data = sampdatwdiv)
summary(lm_Shannon) # 0.927
lm_Shannon <- lm(Shannon ~ BDIOver5, data = sampdatwdiv)
summary(lm_Shannon) # 0.639
lm_Shannon <- lm(Shannon ~ FSS_fatigue_score, data = sampdatwdiv)
summary(lm_Shannon) # 0.215
lm_Shannon <- lm(Shannon ~ STAI_anxiety_score, data = sampdatwdiv)
summary(lm_Shannon) # 0.603
lm_Shannon <- lm(Shannon ~ updrstotal, data = sampdatwdiv)
summary(lm_Shannon) # 0.0675 . 
lm_Shannon <- lm(Shannon ~ education, data = sampdatwdiv)
summary(lm_Shannon) # 0.776. 
lm_Shannon <- lm(Shannon ~ moca_total, data = sampdatwdiv)
summary(lm_Shannon) # 0.263
lm_Shannon <- lm(Shannon ~ sniffintotal, data = sampdatwdiv)
summary(lm_Shannon) # 0.776
lm_Shannon <- lm(Shannon ~ Bristol, data = sampdatwdiv)
summary(lm_Shannon) # 0.00416
lm_Shannon <- lm(Shannon ~ Apathy_score, data = sampdatwdiv)
summary(lm_Shannon) # 0.441
lm_Shannon <- lm(Shannon ~ Abx_doses_last_5_years, data = sampdatwdiv)
summary(lm_Shannon) # 0.303
lm_Shannon <- lm(Shannon ~ Alpha_carotene, data = sampdatwdiv)
summary(lm_Shannon) # 0.467
lm_Shannon <- lm(Shannon ~ Alcohol, data = sampdatwdiv)
summary(lm_Shannon) # 0.606
lm_Shannon <- lm(Shannon ~ Beta_carotene, data = sampdatwdiv)
summary(lm_Shannon) # 0.827
lm_Shannon <- lm(Shannon ~ Carotene_total, data = sampdatwdiv)
summary(lm_Shannon) # 0.844
lm_Shannon <- lm(Shannon ~ Calcium, data = sampdatwdiv)
summary(lm_Shannon) # 0.45
lm_Shannon <- lm(Shannon ~ Carbohydrate_total, data = sampdatwdiv)
summary(lm_Shannon) # 0.624
lm_Shannon <- lm(Shannon ~ Cholesterol, data = sampdatwdiv)
summary(lm_Shannon) # 0.969
lm_Shannon <- lm(Shannon ~ Chloride, data = sampdatwdiv)
summary(lm_Shannon) # 0.691
lm_Shannon <- lm(Shannon ~ Copper, data = sampdatwdiv)
summary(lm_Shannon) # 0.865
lm_Shannon <- lm(Shannon ~ Iron, data = sampdatwdiv)
summary(lm_Shannon) # 0.261
lm_Shannon <- lm(Shannon ~ Non_Starch_Polysaccharides, data = sampdatwdiv)
summary(lm_Shannon) # 0.525
lm_Shannon <- lm(Shannon ~ Total_folate, data = sampdatwdiv)
summary(lm_Shannon) # 0.15
lm_Shannon <- lm(Shannon ~ Fructose, data = sampdatwdiv)
summary(lm_Shannon) # 0.159
lm_Shannon <- lm(Shannon ~ Galactose, data = sampdatwdiv)
summary(lm_Shannon) # 0.584
lm_Shannon <- lm(Shannon ~ Glucose, data = sampdatwdiv)
summary(lm_Shannon) # 0.213
lm_Shannon <- lm(Shannon ~ Iodine, data = sampdatwdiv)
summary(lm_Shannon) # 0.406
lm_Shannon <- lm(Shannon ~ Potassium, data = sampdatwdiv)
summary(lm_Shannon) # 0.726
lm_Shannon <- lm(Shannon ~ Energy_kcal, data = sampdatwdiv)
summary(lm_Shannon) # 0.929
lm_Shannon <- lm(Shannon ~ Lactose, data = sampdatwdiv)
summary(lm_Shannon) # 0.268
lm_Shannon <- lm(Shannon ~ Maltose, data = sampdatwdiv)
summary(lm_Shannon) # 0.606
lm_Shannon <- lm(Shannon ~ Manganese, data = sampdatwdiv)
summary(lm_Shannon) # 0.828
lm_Shannon <- lm(Shannon ~ Sodium, data = sampdatwdiv)
summary(lm_Shannon) # 0.592
lm_Shannon <- lm(Shannon ~ Niacin, data = sampdatwdiv)
summary(lm_Shannon) # 0.843


lm_Shannon <- lm(Shannon ~ Phosphorus, data = sampdatwdiv)
summary(lm_Shannon) # 0.622
lm_Shannon <- lm(Shannon ~ Protein, data = sampdatwdiv)
summary(lm_Shannon) # 0.791
lm_Shannon <- lm(Shannon ~ Vitamin_A, data = sampdatwdiv)
summary(lm_Shannon) # 0.586
lm_Shannon <- lm(Shannon ~ Vitamin_B2, data = sampdatwdiv)
summary(lm_Shannon) # 0.0167 *
lm_Shannon <- lm(Shannon ~ Vitamin_B1, data = sampdatwdiv)
summary(lm_Shannon) # 0.73
lm_Shannon <- lm(Shannon ~ Vitamin_B12, data = sampdatwdiv)
summary(lm_Shannon) # 0.325
lm_Shannon <- lm(Shannon ~ Vitamin_B6, data = sampdatwdiv)
summary(lm_Shannon) # 0.488
lm_Shannon <- lm(Shannon ~ Vitamin_C, data = sampdatwdiv)
summary(lm_Shannon) # 0.339
lm_Shannon <- lm(Shannon ~ Vitamin_D, data = sampdatwdiv)
summary(lm_Shannon) # 0.925
lm_Shannon <- lm(Shannon ~ Vitamin_E, data = sampdatwdiv)
summary(lm_Shannon) # 0.537
lm_Shannon <- lm(Shannon ~ Selenium, data = sampdatwdiv)
summary(lm_Shannon) # 0.815
lm_Shannon <- lm(Shannon ~ Starch, data = sampdatwdiv)
summary(lm_Shannon) # 0.881
lm_Shannon <- lm(Shannon ~ Sucrose, data = sampdatwdiv)
summary(lm_Shannon) # 0.535
lm_Shannon <- lm(Shannon ~ Nitrogen, data = sampdatwdiv)
summary(lm_Shannon) # 0.831
lm_Shannon <- lm(Shannon ~ Sugars_total, data = sampdatwdiv)
summary(lm_Shannon) # 0.222
lm_Shannon <- lm(Shannon ~ Zinc, data = sampdatwdiv)
summary(lm_Shannon) # 0.697
lm_Shannon <- lm(Shannon ~ Fat_total, data = sampdatwdiv)
summary(lm_Shannon) # 0.409
lm_Shannon <- lm(Shannon ~ MUFA, data = sampdatwdiv)
summary(lm_Shannon) # 0.188
lm_Shannon <- lm(Shannon ~ PUFA, data = sampdatwdiv)
summary(lm_Shannon) # 0.277
lm_Shannon <- lm(Shannon ~ SFA, data = sampdatwdiv)
summary(lm_Shannon) # 0.968
lm_Shannon <- lm(Shannon ~ Eggs, data = sampdatwdiv)
summary(lm_Shannon) # 0.885
lm_Shannon <- lm(Shannon ~ Alcoholic_beverages, data = sampdatwdiv)
summary(lm_Shannon) # 0.57


lm_Shannon <- lm(Shannon ~ Cereals, data = sampdatwdiv)
summary(lm_Shannon) # 0.971
lm_Shannon <- lm(Shannon ~ Fats_and_oils, data = sampdatwdiv)
summary(lm_Shannon) # 0.517
lm_Shannon <- lm(Shannon ~ Fish, data = sampdatwdiv)
summary(lm_Shannon) # 0.37
lm_Shannon <- lm(Shannon ~ Fruit, data = sampdatwdiv)
summary(lm_Shannon) # 0.28
lm_Shannon <- lm(Shannon ~ Meat, data = sampdatwdiv)
summary(lm_Shannon) # 0.939
lm_Shannon <- lm(Shannon ~ Milk, data = sampdatwdiv)
summary(lm_Shannon) # 0.138
lm_Shannon <- lm(Shannon ~ Non_alcoholic_bevs, data = sampdatwdiv)
summary(lm_Shannon) # 0.793
lm_Shannon <- lm(Shannon ~ Nuts_and_seeds, data = sampdatwdiv)
summary(lm_Shannon) # 0.0243 *
lm_Shannon <- lm(Shannon ~ Potatoes, data = sampdatwdiv)
summary(lm_Shannon) # 0.225
lm_Shannon <- lm(Shannon ~ Soups_sauces, data = sampdatwdiv)
summary(lm_Shannon) # 0.915
lm_Shannon <- lm(Shannon ~ Preserves_and_snacks, data = sampdatwdiv)
summary(lm_Shannon) # 0.242
lm_Shannon <- lm(Shannon ~ Fats_and_oils, data = sampdatwdiv)
summary(lm_Shannon) # 0.517
lm_Shannon <- lm(Shannon ~ Vegetables, data = sampdatwdiv)
summary(lm_Shannon) # 0.664






