#### Looking a LED attributable to L-dopa only ####
NO_DRUGS <- subset_samples(PD_INCRM, pramipexole == "No" & entacapone == "No" &
                             rasagiline == "No" & amantadine == "No")
alphadiv_Levo <- estimate_richness(NO_DRUGS)
DISEASE_LEVO_DATA <- data.frame(sample_data(NO_DRUGS))
sampdatwdiv_Levo <- data.frame(DISEASE_LEVO_DATA, alphadiv_Levo)

lm_Shannon <- lm(Shannon ~ levo_equiv_dose, data = sampdatwdiv_Levo)
summary(lm_Shannon) # 0.267
lm_Chao1 <- lm(Chao1 ~ levo_equiv_dose, data = sampdatwdiv_Levo)
summary(lm_Chao1) # 0.604
lm_Fisher <- lm(Fisher ~ levo_equiv_dose, data = sampdatwdiv_Levo)
summary(lm_Fisher) # 0.563

# Generate a linear regression plot
ggplot(sampdatwdiv_Levo, aes(x = levo_equiv_dose, y = Shannon)) + 
  geom_point(color='#192b4d') +
  stat_smooth(method = "lm", color ="#3c91ab") +
  labs(x ="LED") +   labs(x ="LED") + theme(panel.background=element_rect(colour="black")) +
  theme_bw() 